package es.bisite.wilssc.Activities;

import java.io.File;

import com.example.bluepin.R;

import es.bisite.wilssc.Common;



import android.os.Bundle;
import android.os.Environment;
import android.app.Activity;
import android.content.Intent;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Toast;


//================================================================
public class MenuActivity extends Activity 
//================================================================
{
	private Button locateButton; 
	private Button configureButton; 
	private Button heatMapButton; 
	
	//================================================================
    @Override
    public void onCreate(Bundle savedInstanceState) 
  //================================================================
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_menu);
        this.Initialize();
        
        File dir = new File(Environment.getExternalStorageDirectory()+Common.FOLDER_PATH);
        if((dir.exists() && dir.isDirectory())==false) 
        {
			int duration = Toast.LENGTH_SHORT;
			Toast toast = Toast.makeText(getApplicationContext(), dir.getPath(), duration);
			toast.show();
            dir.mkdir();   
        }	
    }
    
    
    //===============================================
    protected void Initialize()
    //===============================================
    {
    	  this.configureButton = (Button) findViewById(R.id.buttonConfigure);
    	  this.heatMapButton = (Button) findViewById(R.id.buttonHeatMap);
    	  
    	 //===============================================
     	 this.configureButton.setOnClickListener(new OnClickListener() 
     	 //===============================================
     	 {   
     		    public void onClick(View v) 
     		    {
     		    	Intent myIntent = new Intent(v.getContext(), ConfigureActivity.class);
                    startActivityForResult(myIntent, 0);
             
     		    }
     	});

     	 
      	 //===============================================
     	 this.heatMapButton.setOnClickListener(new OnClickListener() 
     	 //===============================================
     	 {   
     		    public void onClick(View v) 
     		    {
     		    	Intent myIntent = new Intent(v.getContext(), LocateRemActivity.class);
                    startActivityForResult(myIntent, 0);
             
     		    }
     	});
    }
}
