package es.bisite.wilssc;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.ResponseHandler;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.BasicResponseHandler;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.message.BasicNameValuePair;
import org.apache.http.params.BasicHttpParams;
import org.apache.http.params.HttpConnectionParams;
import org.apache.http.params.HttpParams;
import org.json.JSONObject;

import android.util.Log;




//=================================================
public class WilsWifiSender implements Runnable
//=================================================
{
	private static final String URL_LOCATION="http://www.servidor-online.com/wils/controllers/mobile/wilsUser.php";
	private int _x;
	private int _y;
	private String _id;

	//=================================================
	public WilsWifiSender(String id,int x,int y)
	//=================================================
	{
		this._id=id;
		this._x=x;
		this._y=y;
	}
	
	//=================================================
	public void terminate()
	//=================================================
	{

	}
	
	//=================================================
	public void run() 
	//=================================================
	{


        Integer x=new Integer(this._x);
        Integer y=new Integer(this._y);
        try 
        {
        
	         HttpParams httpParameters = new BasicHttpParams();
		     HttpConnectionParams.setConnectionTimeout(httpParameters, 2500);
		     HttpConnectionParams.setSoTimeout(httpParameters, 2500);
		     HttpClient httpclient = new DefaultHttpClient(httpParameters);
	 	     HttpPost httppost = new HttpPost("http://www.servidor-online.com/wils/controllers/mobile/wilsUser.php");

	         List<NameValuePair> nameValuePairs = new ArrayList<NameValuePair>(5);
	         nameValuePairs.add(new BasicNameValuePair("action","insertLocationTerm"));
	         nameValuePairs.add(new BasicNameValuePair("user",this._id));
	         nameValuePairs.add(new BasicNameValuePair("x", x.toString()));
	         nameValuePairs.add(new BasicNameValuePair("y", y.toString()));
	         nameValuePairs.add(new BasicNameValuePair("map", Common.MAP));
			 httppost.setEntity(new UrlEncodedFormEntity(nameValuePairs));
			 

			 ResponseHandler<String> responseHandler=new BasicResponseHandler();
			 String responseBody = httpclient.execute(httppost, responseHandler);
			 JSONObject response=new JSONObject(responseBody);
			 
			 Log.d("WilsWifiSender", "enviada posicin "+x+", "+y);
			
            
        } 
        catch (ClientProtocolException e) 
        {
            // TODO Auto-generated catch block
        } catch (IOException e) {
            // TODO Auto-generated catch block
        	e.printStackTrace();
        }
        catch (Exception e) {
            // TODO Auto-generated catch block
			e.printStackTrace();
        }
		
	}

}
