package es.bisite.wilssc.BLE;

import java.util.ArrayList;
import java.util.List;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.net.wifi.ScanResult;
import android.net.wifi.WifiManager;
import android.os.Handler;


//=========================================================
public class WifiReceiver extends BroadcastReceiver 
//=========================================================
{
	private WifiManager wifiCon; 
    private WifiScaner  wifiScan;
    private List<WifiRead> wifiReads;
    private int exMode;
    private int counter=0;
    private Handler playHandler;
	
    //=========================================================
	public WifiReceiver(WifiManager wifi,WifiScaner wifis,Handler updateUIHandler) 
	//=========================================================
	{
		super();
		this.wifiCon  = wifi;
		this.wifiScan = wifis;
		this.wifiReads= new ArrayList<WifiRead>();
		this.exMode=0;
		this.playHandler=updateUIHandler;
	}
	
	//=========================================================
	public List<WifiRead> getScans()
	//=========================================================
	{
		return this.wifiReads;
	}
	
	//=========================================================
	@Override
	public void onReceive(Context c, Intent intent)
	//=========================================================
	{
		if(exMode==0)
		{
			counter++;
			if(counter==15)
			{
				counter=0;
				this.playHandler.obtainMessage(1, 0, 0, "").sendToTarget();
			}
			
			List<ScanResult> signals = wifiCon.getScanResults();
		
			synchronized(this.wifiScan)
			{	
				this.wifiReads.add(new WifiRead(System.currentTimeMillis(),signals));
				this.wifiScan.notify();
			}
		}
		else if(exMode==1)
		{
			List<ScanResult> signals = wifiCon.getScanResults();
			
			synchronized(this.wifiScan)
			{	
				this.wifiScan.notify();
			}

		}
		
	}

}