package es.bisite.wilssc;

import android.graphics.Point;
import android.graphics.PointF;
import android.graphics.RectF;

//===========================================================
public class PositionRead 
//===========================================================
{
	private PointF position;
	private long time;
	

	//===========================================================
	public PositionRead(PointF pos, long tim)
	//===========================================================
	{
		this.position=pos;
		this.time=tim;
	}
	
	//===========================================================
	public PointF getPosition()
	//===========================================================
	{
		return this.position;
	}
	
	//===========================================================
	public long getTime()
	//===========================================================
	{
		return this.time;
	}
	
	//===========================================================
	public static PointF ScreenToMap(PointF cord,float scale, RectF scrollRect,float scaleFactor)
	//===========================================================
	{
		PointF c=new PointF((cord.x/scale - scrollRect.left/scale)*scaleFactor, (cord.y/scale - scrollRect.top/scale)*scaleFactor);
		return c;			
	}
	
	//===========================================================
	public static PointF MapToScreen(PointF cord,float scale,RectF scrollRect,float scaleFactor)
	//===========================================================
	{
		PointF b=new PointF(cord.x/scaleFactor,cord.y/scaleFactor);
		PointF c=new PointF(b.x*scale+scrollRect.left ,b.y*scale+scrollRect.top);
		return c;			
	}
	
	//===========================================================
	public static Point MapToScreen(Point cord,float scale,RectF scrollRect,float scaleFactor)
	//===========================================================
	{
		PointF b=new PointF(cord.x/scaleFactor,cord.y/scaleFactor);
		PointF c=new PointF(b.x*scale+scrollRect.left ,b.y*scale+scrollRect.top);
		Point p=new Point((int)c.x,(int)c.y);
		return p;			
	}
}
