package es.bisite.wilssc;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.message.BasicNameValuePair;

import android.content.Context;
import android.widget.Toast;

//======================================================================
public class WilsGPSSender implements Runnable
//======================================================================
{
	private static final String URL_LOCATION="http://www.servidor-online.com/WifiLSR/BDD/insertGPSLocation.php";
	private double lati;
	private double longi;
	private String _id;
	
	//=================================================
	public WilsGPSSender(String id,double d,double e)
	//=================================================
	{
		this._id=id;
		this.lati=d;
		this.longi=e;
	}
		
	//=================================================
	public void terminate()
	//=================================================
	{
	}
		
	//=================================================
	public void run() 
	//=================================================
	{
		   HttpClient httpclient = new DefaultHttpClient();
	       HttpPost httppost = new HttpPost("http://www.servidor-online.com/WifiLSR/BDD/insertGPSLocation.php");

	        try 
	        {
	            // Add your data
	            List<NameValuePair> nameValuePairs = new ArrayList<NameValuePair>(3);
	            nameValuePairs.add(new BasicNameValuePair("terminal",this._id));
	            nameValuePairs.add(new BasicNameValuePair("lat", Double.toString(this.lati)));
	            nameValuePairs.add(new BasicNameValuePair("long", Double.toString(this.longi)));
	            httppost.setEntity(new UrlEncodedFormEntity(nameValuePairs));
	            // Execute HTTP Post Request
	            HttpResponse response = httpclient.execute(httppost);
	            
	        } 
	        catch (ClientProtocolException e) 
	        {
	            // TODO Auto-generated catch block
	        } catch (IOException e) {
	            // TODO Auto-generated catch block
	        }
	        catch (Exception e) {
	            // TODO Auto-generated catch block
				e.printStackTrace();
	        }
	}
}
